<?php

	/*--------------------------------------------------------------
	# Car magazine - March 2009 (for Joomla 1.5)
	# Copyright (C) 2007-2009 Gavick.com. All Rights Reserved.
	# License: Copyrighted Commercial Software
	# Website: http://www.gavick.com
	# Support: support@gavick.com  
	---------------------------------------------------------------*/

defined('_JEXEC') or die('Restricted access');

/**

	Version without interface
	
	Attributes:
 	- headerLevel
 	
**/

function modChrome_gavickpro($module, &$params, &$attribs)
{
	$headerLevel = isset($attribs['headerLevel']) ? (int) $attribs['headerLevel'] : 3;
	
	if (!empty ($module->content)) : ?>
		<div class="moduletable<?php echo $params->get('moduleclass_sfx'); ?>">
			<?php if ($module->showtitle) : ?>	
				<h<?php echo $headerLevel; ?>><span><?php echo $module->title; ?></span></h<?php echo $headerLevel; ?>>
			<?php endif; ?>
   			<div class="moduletable_content">
				<?php echo $module->content; ?>
			</div>
		</div>
	<?php endif;
}

/**

	Version with interface
 	
 	Attributes:
 	- headerLevel
 	- interface:
 		* 0 - without interface
 		* 1 - modules roll up
 		* 2 - modules order
 		* 3 - modules roll up + order
 	
**/

function modChrome_gavickpro_column($module, &$params, &$attribs)
{
	$headerLevel = isset($attribs['headerLevel']) ? (int) $attribs['headerLevel'] : 3;
	$interface = isset($attribs['interface']) ? (int) $attribs['interface'] : 3;
	
	if (!empty ($module->content)) : ?>
		<div class="moduletable<?php echo $params->get('moduleclass_sfx'); ?>" <?php echo ($module->showtitle) ? 'id="col_mod_'.$attribs['ordering'].'"' : ''; ?>>
			<?php if ($module->showtitle) : ?>
			
				<?php
					$title = explode(' ', $module->title);
					$title_part1 = array_shift($title);
					$title_part2 = join(' ', $title);
				?>
			
				<h<?php echo $headerLevel; ?>>
					<span><strong><?php echo $title_part1.' '; ?></strong><?php echo $title_part2; ?></span>
					<?php if($interface > 0) : ?>
					<span class="interface">
						<span class="down<?php if($interface == 1) echo '_disabled'; ?>"></span>
						<span class="up<?php if($interface == 1) echo '_disabled'; ?>"></span>
						<span class="rollup<?php if($interface == 2) echo '_disabled'; ?>"></span>
					</span>
					<?php endif; ?>
				</h<?php echo $headerLevel; ?>>
			<?php endif; ?>
  			<div class="moduletable_content">
				<?php echo $module->content; ?>
   			</div>
		</div>
	<?php endif;
}

?>